<?php
/**
 * Question Threads xF2 addon by CMTV
 * Enjoy!
 */

namespace CMTV\QuestionThreads;

use XF\Entity\User;

use CMTV\QuestionThreads\Constants as C;

class EventListener
{
    public static function criteriaUser($rule, array $data, User $user, &$returnValue)
    {
        $questions = \XF::finder('XF:Thread')
            ->where('CMTV_QT_is_question', true)
            ->where('user_id', $user->user_id)
            ->total();

        switch ($rule)
        {
            // Questions

            case C::_('questions_asked'):
                $returnValue = $questions >= $data['questions'];
                break;
            case C::_('questions_maximum'):
                $returnValue = $questions <= $data['questions'];
                break;

            // Best answers

            case C::_('best_answers_posted'):
                $returnValue = $user->get(C::_('best_answer_count')) >= $data['best_answers'];
                break;
            case C::_('best_answers_maximum'):
                $returnValue = $user->get(C::_('best_answer_count')) <= $data['best_answers'];
                break;
        }
    }
}